# GimpUi.Dialog.prototype.get_native_handle

    function get_native_handle(): Uint8Array {
        // Gjs wrapper for gimp_dialog_get_native_handle()
    }

Returns an opaque data handle representing the window in the currently running platform. You should not try to use this directly. Usually this is to be used in functions such as [func@Gimp.brushes_popup] which will allow the core process to set this [class@Dialog] as parent to the newly created popup.

Since 3.0

Returns

  an opaque [struct@GLib.Bytes] identifying this window.